Retail Express API 2.1

supplierreturnstatus

Searches Supplier Return Statuses by parameters

Searches Supplier Return Statuses by parameters

get
https://api.retailexpress.com.au/v2.1/supplierreturnstatus

Query Parameters

namestring | null

SupplierReturnStatus name.

order_bystring | null

Order by.

Available field name values: id, name.

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Supplier Return Statuses data

SupplierReturnStatus.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/supplierreturnstatus
 
application/json

Gets specific Supplier Return Status by unique id

Gets specific Supplier Return Status by unique id

get
https://api.retailexpress.com.au/v2.1/supplierreturnstatus/{id}

Path Parameters

idinteger(int32)required

Supplier Return Status id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Supplier Return Status

SupplierReturnStatus

Supplier Return Status Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return Status Id.

namestring | null

Supplier Return Status name

get/supplierreturnstatus/{id}
 
application/json

suppliers

Searches Suppliers by parameters

Searches Suppliers by parameters

get
https://api.retailexpress.com.au/v2.1/suppliers

Query Parameters

admin_only_ordersboolean | null

Admin only orders flag

idinteger | null(int32)

Supplier Id. Other properties are skipped, if used

modified_sincestring | null(date-time)

Modified since

is_enabledboolean | null

Admin only orders flag

selectstring | null

Select fields.

Available field name values: id, supplier_code, name

Example: id

order_bystring | null

Order by.

Available field name values: is_enabled

Available direction values: asc, desc.

Example: is_enabled asc

filter_bystring | null

Filter by.
Available field name values: is_enabled

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: is_enabled:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Suppliers data

Supplier.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/suppliers
 
application/json